\version "2.12.2"
\include "english.ly"

\paper {
    print-first-page-number = ##t
    ragged-bottom = ##t

    myStaffSize = #35

    #(define fonts
        (make-pango-font-tree "Adobe Garamond Pro"
                              "Adobe Garamond Pro"
                              "Adobe Garamond Pro"
                              (/ myStaffSize 40)))

    bookTitleMarkup = \markup {
        \override #'(baseline-skip . 3.5)
        \column {
            \column {
                \huge \larger \italic
                \fill-line {
                    \larger \fromproperty #'header:title
                }
                \fill-line {
                    \large \smaller \italic
                    \larger \fromproperty #'header:subtitle
                }
                \fill-line {
                    \smaller
                    \fromproperty #'header:subsubtitle
                }
                \fill-line {
                    \fromproperty #'header:folio
                    \fromproperty #'header:composer
                }
            }
        }
    }

}

\header {
    title = "My Mind to Me a Kingdom Is"

    composer = "William Byrd (c.1540-1623)"
    
    style = "Renaissance"
    folio = "Dow Partbooks (Christ Church, Oxford MSS 984-988)"

    maintainer = "Allen Garvin"
    maintainerEmail = "allen.garvin@dal.tribalddb.com"
    maintainerWeb = "http://blog.nitfol.com"
    instrument = "My Mind to Me a Kingdom Is"

    lastupdated = "2011/Jan/20"
    copyright = "(c) 2011 - Creative Commons Attribution - Allen Garvin - http://blog.nitfol.com"
    tagline = #'f
}

global = {
    \key f \major
    \time 6/2
    #(set-global-staff-size 18)
    \override Score.BarNumber #'break-visibility = #end-of-line-invisible
    \set Score.barNumberVisibility = #(every-nth-bar-number-visible 5)
    \override Score.BarNumber #'stencil = #(make-stencil-boxer 0.1 0.25 ly:text-interface::print) 
    \override Voice.NoteHead #'style = #'baroque
}

superius = \relative c'' {
    \set Staff.instrumentName = "Superius"
    \set Staff.midiInstrument = "recorder"

    R\breve.*2 | c2 f d c1 c2 | g'1 f2 e1. | r1. c2 d a | c1 d2 f e1 | 
    d1. r |  g,2 c d e1 c2 | d2. e4( f2) c1. | r1. c2 f d | e1 d2 c1 b2 |
    c1. r | r d2 f bf, | d1 r2 a c f, | g1. r | r e'2 g c, | e1 d2 f1 e2 | 
    f1. r | R\breve. | r1. d2 f bf, | d1 r2 a c f, | g1. r | r e'2 g c, |
    e1 d2 f1 e2 | f1 c2 d2. c4( bf2) | a g a( bf) g1 | f\longa*2/3\fermata
    \bar "|."
}

superiusLyrics = \lyricmode {
    My mynde to me a king- dom is
    such per- fect joy ther- in I finde,
    that it ex- cells all o- ther bliss
    that god or na- ture hath as- sinde:
    tho much I want that most men have
    yet stil my mynde for- bids to crave
    tho much I want that most men have
    yet stil my mynd for- bids to crave
    yet stil my mynd for- bids to crave.
}

medius = \relative c' { 
    \set Staff.instrumentName = "Medius"
    \set Staff.midiInstrument = "recorder"

    r1. f2 c' a | g1 c bf | a1. a1 f2 | c1. c'1 g2 | a1 f2 a1. |
    a1 f2 d e1 | a, bf2 a c d | e1 a,2 c1 r2 | d f2. g4 a1 f2 |
    g1. c,1 g'2 | g a f e d1 | c2 g' e f1. | d2 f bf, d1 g2 |
    f2. ef4 d2 c a c |  % flip page

    c1. e2 g c, | g'1 a2 c g a ~ | a g bf f g1 | f1 a2 c f, a |
    g1. a2 c f, | bf2. a4 g2 f bf,1 | bf'1 f2 f f1 | e2 g c, r2 e g |
    c, e f g1 r2 | r1. a2 c g | a1. bf1 f2 ~ | f e f d c1 | c\longa*2/3\fermata
    \bar "|."
}

contratenor = \relative c' {
    \set Staff.instrumentName = "Contratenor"
    \set Staff.midiInstrument = "recorder"

    r2 c f d c1 | e2 g2. f4 f1 e2 | f1. f | g2 c a g a e | 
    f1 c2 f2. e4 d2 | c a1 a'2. g4 e2 | fs a d, c1 a2 | 
    c1 r2 c g' a | bf1 f2 f1 a2 | c g bf g1 b2 | c1 r2 c, g' d |
    e2. f4 g2 % flip page
    a c f, | bf2. a4 g2 f bf,1 | bf'1 f2 f f1 | e2 g c, r2 e g |
    c, e f g1 r2 | r1. a2 c g | a1. f | e2 g d f1. | d2 f bf, d1 g2 |
    f2. e4 d2 c a c | c1. e2 g c, | g'1 a2 c g a | g1. c, | c1 f d |
    c1. f1 e2 | f\longa*2/3\fermata \bar "|."
}

tenor = \relative c {
    \set Staff.instrumentName = "Tenor"
    \set Staff.midiInstrument = "recorder"

    R\breve.*2 | r1. f2 c' a | g1 c2 c1 r2 | c d a c f1 | e d2 d1 cs2 |
    d f g a1 f2 | g1 f2 e c e | f d1 c2 f d | e1 d2 f d1 | c d2 g1. | 
    g c, | bf2 d g, bf1 r2 | d f bf, % flip page

    c2. bf4 a2 | g1. c | e2 g c, e1 a,2 | c1 d1 r | c1 f,2 a c f, |
    c'1 bf2 c a c | bf d g, bf1 r2 | d f bf, c2. bf4 a2 | g1. c1. | 
    e2 g c, e1 a,2 | c g bf a2 g1 | f1. f | r2 c'1 d2 g,1 | a\longa*2/3\fermata
    \bar "|."
    
}

bassus = \relative c {
    \set Staff.instrumentName = "Bassus"
    \set Staff.midiInstrument = "recorder"

    f1. f | c'1 a g | f1. f | e2 e f c1. | f f | a1 d, a | 
    d1. f | c c | bf1 d2 f1. | c1 g'2 f1 g2 | c a bf c g1 |
    c,1. f | bf, bf | bf f' | c c | c' c | a2 c g % flip page

    d'2 c1 | f,1. f | c1 g'2 f1. | bf, bf | bf f' | c c | c' c |
    c,2 e g f c1 | f1. bf,1. | c1 f2 bf, c1 | f\longa*2/3\fermata
    \bar "|."
}
    
\book {
\score {
    \new StaffGroup \with {
      systemStartDelimiter = #'SystemStartSquare
    } <<
        \new ChoirStaff = choirStaff <<
            \new Voice = "superius" << \clef treble \global \superius >>
                \addlyrics { \superiusLyrics }
            \new Voice = "medius" << \clef treble \global \medius >>
            \new Voice = "contratenor" << \clef treble \global \contratenor >>
            \new Voice = "tenor" << \clef "treble_8" \global \tenor >>
            \new Voice = "bassus" << \clef bass \global \bassus >>

        >>
  >>
\layout {
    ragged-bottom = ##t

  \context {
    \Voice
    \consists Ambitus_engraver
  }
}
    \midi {
        \context {
            \Score
            tempoWholesPerMinute = #(ly:make-moment 78 1)
        }
    }

}   

\markup {
  \fill-line {
    \column {
    \line {Additional Lyrics from 
        \italic { Psalmes, Sonets, & songs of sadnes and pietie } (1588) }
    \hspace #1
    \column {
        \line { 1. My minde to me a kingdome is, }
        \line { such perfect joy therin I find, }
        \line { That it excells all other blisse, }
        \line { which God or Nature hath assign'd  }
        \line { Though much I want, that most would have, }
        \line { yet still my mind forbids to crave. }

        \line { - }

        \line { 2. No princely port nor welthie store, }
        \line { no force to winne a victorie, }
        \line { no wyly wit to salve a sore, }
        \line { no shape to winne a loving eye: }
        \line { to none of these I yeld as thrall, }
        \line { for why my minde despise them all. }

        \line { - }

        \line { 3. I see that plentie surfeits oft, }
        \line { and hastie clymbers soonest fall: }
        \line { I see hat such as are a loft, }
        \line { mishap doth threaten most of all: }
        \line { these get with toyle and keepe with feare, }
        \line { such cares my minde can never beare. }

    }
    \hspace #1
    \column {
        \line { 4. I presse to beare no haughtie sway, }
        \line { I wish no more then may suffice: }
        \line { I doe no more than well I may, }
        \line { look what I want my minde supplies, }
        \line { loe thus I triumph like a King, }
        \line { my minde content with any thing. }

        \line { - }

        \line { 5. I laugh not at anothers losse, }
        \line { nor grudge not at anothers gaine: }
        \line { no worldly waves my minde can tosse, }
        \line { I brooke that is anothers bane: }
        \line { I feare no foe nor nor fawne on friend, }
        \line { I loth not lyfe nor dread mine end. }

        \line { - }

        \line { 6. My wealth is health and perfecte ease, }
        \line { and conscience cleere my chiefe defence, }
        \line { I never seeke by brybes to please, }
        \line { nor by desert to give offence: }
        \line { thus doe I live, thus will I dye, }
        \line { would all did so as well as I. }
    }
    \hspace #1
  } 
}
}
%\pageBreak
%
%\pageBreak
%    \score { 
%            \new Voice = "superius" << \clef treble \global \superius >>
%                \addlyrics { \superiusLyrics }
%    }
%\pageBreak
%    \score { 
%            \new Voice = "medius" << \clef treble \global \medius >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "medius" << \clef alto \global \medius >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "contratenor" << \clef treble \global \contratenor >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "contratenor" << \clef alto \global \contratenor >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "tenor" << \clef "treble_8" \global \tenor >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "tenor" << \clef alto \global \tenor >>
%    }
%\pageBreak
%    \score { 
%            \new Voice = "bassus" << \clef bass \global \bassus >>
%    }
}
